/**
 * 
 */
package net.java.dev.esjug.util.frameworks.crud;

/**
 * @author vitor
 *
 */
public enum CrudNotification {
	/** Possible values for CRUD notifications. */
	UNSPECIFIED, CREATE, RETRIEVE, UPDATE, DELETE;
	
	/** Object that was manipulated in the operation that is being notified. */
	private Object object;

	/**
	 * @return the object
	 */
	public Object getObject() {
		return object;
	}

	/**
	 * @param object the object to set
	 */
	public void setObject(Object object) {
		this.object = object;
	}
}
